{-------------------------------------------------------------------------}
{    Lcard_ad  BP7.0/Delphi                }
{-------------------------------------------------------------------------}
UNIT LCARD_AD;
interface

type
    Proc=procedure;
    PTErrorHandler=pointer;
{procedure(Error:longint;OSError:longint);}
    TDDS=record
        Size:longint;
        Offset:longint;
        SegSel:word;
        BufferID:word;
        Physical:longint;
    End;
    PTDDS=^TDDS;
    PWord=^word;
    TDmaChannel=record
        DDS:TDDS;
        DmaChannelNo:integer;
        PLinear:PWord;
    End;
    PTDmaChannel=^TDmaChannel;

{                                  }
const
    NO_BOARD=0;
    L305=1;
    L1610=2;
    L1250=3;
    L154=4;
    L164=5;
    L1056=6;
    L1208=7;
    L264=8;
    E330=9;
    L1210=10;
    LCI01=11;
    CRAIT=12;
    L241=13;
    L1211=14;
    L1620=15;
    L1221=16;
    L750=17;
    Unknown=18;

    AUTODETECT_INTERFACE =-1;
    EPP_INTERFACE        = 0;
    SERIAL_INTERFACE     = 1;
    BIDIR_INTERFACE      = 2;
    IDE_INTERFACE        = 3;

procedure SELECT_SLOT(Slot:integer);
function PLATA_TEST:integer;
procedure SET_BOARD_TYPE(BoardType:integer);
function GET_BOARD_TYPE:integer;
procedure SET_BASE_ADDRESS(Address:integer);
procedure ENABLE_INT(_IntEnabled:integer);
function CREATE_CHANNEL(Channel:integer; Usil:integer; Mode:integer):word;
function MEMORY_STATE:integer;
function MEMORY_PM_STATE:integer;
procedure SET_INTER_DELAY(delay_value:integer);
procedure SET_ADSP_SPEED(DspType:integer);
procedure SET_WAIT_STATE(wait_state:integer);
procedure SET_TIMER_SCALE(ScaleValue:integer);
procedure TIMER_L154_L164(TimerNumber:integer; Mode:integer; Rate:integer);
procedure WAIT_TICK_L154_L164(TimerNumber:integer);
function GET_TIMER_L154_L164:integer;
procedure CALIBRATION;
procedure INIT_COMPARATOR(Channel:integer; Porog:integer; BitNPoint:integer; HandleMode:integer
);
procedure LOW_POWER(ModeReg:integer);
function GET_SLOT_CODE(CraitNumber:integer; ModuleNumber:integer):integer;
procedure RESET_ALL;
function MAKE_CHANNEL(CraitNumber:integer; ModuleNumber:integer; Chan:integer; 
Kadrr:integer; 
Usil:integer
):word;
procedure PROGRAM_FILTER(CraitNumber:integer; ModuleNumber:integer; CutFrequency:integer; 
AnalogFilterType:integer
);
procedure PROGRAM_LM_201(CraitNumber:integer; ModuleNumber:integer; Chan:integer; 
Usil1:integer; 
Source:integer
);
procedure PROGRAM_LM_102(CraitNumber:integer; ModuleNumber:integer; Usil1:integer
);
procedure PROGRAM_LM_501(CraitNumber:integer; ModuleNumber:integer; M3:integer; 
M2:integer; 
M1:integer; 
EN:integer; 
EP:integer; 
AN:integer; 
AP:integer
);
procedure PROGRAM_LM_DAC(CraitNumber:integer; ModuleNumber:integer; Mode:integer; 
Coded:integer; 
DacCh:integer
);
function GET_LM_401(CraitNumber:integer; ModuleNumber:integer):integer;
function LM_404(Coded:word):word;
procedure PROGRAM_LM_TTLOUT(CraitNumber:integer; ModuleNumber:integer; Coded:word
);
procedure SETCHANNEL(Channel:word);
function SAMPLE:word;
function ADCHAN(Chan:word):word;
procedure KADR(var Datad; var Chans; Nch:integer);
procedure STREAM(var Datad; Npoint:integer; Chan:word; Rate:integer);
procedure SOFT(var Datad; Nkadr:integer; var Chan; Nch:integer; Rate:integer
);
procedure SOFT_HUGE(var Datad; Nkadr:longint; var Chan; Nch:integer; Rate:integer
);
procedure DMAONE(var Datad; Npoint:integer; Chan:integer; Rate:integer; 
Dmm:integer
);
procedure DMAALL(var Datad; Nkadr:integer; var Chan; Nch:integer; Rate:integer; 
Dmm:integer
);
procedure DMA_ALL_DA(var AdDatad; AdNkadr:integer; var Chan; Nch:integer; Rate:integer; 
AdDmm:integer; 
var DaDatad; 
DaNkadr:integer; 
DaDmm:integer; 
DaNumber:integer
);
procedure OUTDA(Coded:integer);
procedure SET_DA_NUMBER(SoftDaMode:integer; DaNumber:integer);
procedure STREAM_OUTDA(Coded:word);
procedure DASTREAM(Rate:integer; Npoint:integer; var Datad);
procedure DASTREAM_HUGE(Rate:integer; Npoint:longint; var Datad);
procedure DADMASTREAM(var Datad; Npoint:integer; Rate:integer; Dmm:integer
);
procedure OUTBYTE(CodeVal:integer);
function INPBYTE:integer;
function DSP_INPBYTE:integer;
procedure DSP_OUTBYTE(CodeVal:integer);
procedure INTR_SETUP(Number:integer);
procedure STOP_INTR;
procedure RESET_IRQ;
procedure INIT_SIMPLE_INTR(Rate:integer; Rate1:integer; Vector:pointer);
procedure STREAM_INTR(Rate:integer; Vector:pointer; Chan:word);
procedure SOFT_INTR(Rate:integer; Vector:pointer; var Chan; Nch:integer);
function READ_DATA:integer;
function DATA_READY:integer;
procedure SYNCHRO_MODE(SMode:integer; TtlMask:integer; AdChannel:word; AdValue:word
);
procedure SOFT_MEMORY_START(Nkadr:longint; var Chan; Nch:integer; Rate:integer; PageNumber:integer; 
OffsetNumber:integer; 
RestartMode:integer
);
function TEST_FOR_INPUT_END:integer;
procedure GET_INPUT_DATA(var Datad; Npoint:integer);
procedure SOFT_MEMORY_RESTART;
procedure DMA_OFF;
function DMA_TEST:integer;
function DMA_COUNTER_IN:integer;
function DMA_COUNTER_OUT:integer;
procedure GET_BUFFER(var Data);
function GET_BUFFER_HALF(var Data):integer;
procedure PUT_BUFFER(var Data);
function PUT_BUFFER_HALF(var Data):integer;
procedure CONFIG_FIFO(fifo_mode:integer);
procedure CONFIG_2FIFO_TYPE(fifo_type:integer; fifo_length:integer);
procedure READ_FIFO(var Datad; Npoint:integer);
procedure STREAM_FIFO2_BEGIN(Rate:integer; Vector:pointer; var Chan; Nch:integer);
procedure GET_DIGITS_1056(Chan:integer; var Data);
procedure OUT_DIGITS_1056(Data:integer);
procedure STREAM_1056(var Datad; NKadr:integer; Chan:integer; Rate:integer);
procedure STREAM_DMA_1056(var Datad; Nkadr:integer; Chan:integer; Rate:integer; Dmm:integer
);
procedure OUT_STREAM_1056(var Datad; NPoint:integer; Rate:integer);
procedure OUT_STREAM_DMA_1056(var Datad; Npoint:integer; Rate:integer; Dmm:integer
);
procedure INIT_INTR_1056(Rate:integer; Chan:integer; Vector:pointer);
procedure SET_SYNCHRO_MODE_1056(s_mode:integer; s_number:integer; s_mask:integer);
procedure ZERO_MODE_1208(Mode:integer);
procedure OUTDA_1208(Coded:word; DacNumber:integer);
procedure KADR_1208(Nch:integer; var Datad; var DacNumber);
procedure SOFT_1208(var Datad; NPoint:integer; var DacNumber; NCh:integer; 
Rate:integer
);
procedure SOFT_FON_1208(var Datad; NPoint:integer; var DacNumber; NCh:integer; 
Rate:integer
);
procedure DMASOFT_1208(var Datad; NPoint:integer; var DacNumber; Nch:integer; 
Rate:integer; 
Dmm:integer
);
procedure SOFT_INTR_1208(Rate:integer; Vector:pointer; Nch:integer);
function GET_DATA:integer;
procedure PUT_DATA(Data:word);
procedure READ_INT_MEMORY(var Datad; Page:integer; StartAddr:integer; NWords:integer
);
procedure WRITE_INT_MEMORY(var Datad; Page:integer; StartAddr:integer; NWords:integer
);
function LOADBIOS(var FileName; LoadMode:word):integer;
procedure POWER_AND_PRINTER_E330(ModePower:integer; ModePrinter:integer);
procedure SET_EPP_MODE_E330(aEppMode:integer);
procedure SET_FIFO_PARAMETERS_E330(FifoSize:integer; FifoMode:integer);
procedure SET_SOFT_PARM_E330(Nch:integer; var Channels);
procedure SET_TIME_PARAMETERS_E330(Rate:word);
procedure TIMER_INPUT_START_E330;
procedure STOP_FUNC_E330;
procedure TIMER_INPUT_E330(var Datad; NWords:integer);
procedure SOFT_MEMORY_PREPARE_E330(Nkadr:longint; PageNumber:integer; OffsetNumber:integer; RestartMode:integer
);
procedure SOFT_MEMORY_START_E330;
procedure TIMER_INPUT_IRQ_START_E330(Vector:pointer);
procedure IRQ_SLOW_START_E330(IrqPeriod:integer; Vector:pointer);
procedure SET_TEST_SPEED_MODE_E330(TestMode:integer);
procedure WRITE_BY_ADDRESS_E330(Address:integer; Data:word);
function READ_BY_ADDRESS_E330(Address:integer):word;
procedure BOARD_SPECIFIC_INIT(LowPowerMode:integer);
procedure SELECT_BOARD(Board:integer);
procedure SETBASEADDRESS(Address:integer);
procedure EXEC_ADSP_COMMAND(Command:integer; NWordsOut:integer; var WordsOut; NWordsIn:integer; 
var WordsIn
);
function GET_STATUS:integer;
procedure ALLOCATEBUFFER(PDmaChannel:PTDmaChannel; NeedCopy:word);
procedure CONFIG_TX_CHANNEL_LCI01(Channel:integer);
procedure FREEBUFFER(PDmaChannel:PTDmaChannel; NeedCopy:word);
procedure GET_HALF_FIFO(var Datad; NPoint:integer; Mode:integer);
procedure GET_INPUT_POINTS(var Datad);
function QADCHAN(Chan:word):word;
function LOADBIOSFROMARRAY_L1211(var BiosCode):integer;
procedure INIT_CORRECTION_LC302(Type_:word);
procedure QSOFT(var Datad; Rate:word);
procedure RESERVED2(var p1; p2:integer; p3:integer);
procedure READ_CALIBR_CC;
procedure CONFIG_RX_CHANNEL_LCI01(Channel:integer);
procedure SELECT_DEVICE(DeviceNumber:integer);
procedure SET_AD_MODE(Mode:integer);
procedure CONFIGURE_FAST_READ_CC(Nch:integer; var FastLogChanBuff);
procedure SET_CHANNELS(Nch:word; Single:word);
procedure INITIALIZE_CORRECTION_PC(CalibrMode:word);
procedure SET_DAC_BUFER_E330(Npoint:integer; var Data);
procedure SET_TIME(Rate:integer; Scale:integer; Epocha:integer);
procedure SET_FAST_PARAMS_CC(Slot301:integer; DACDelayValue:integer; NChannel:integer);
procedure START_LOOP_DAC_E330;
procedure STOP_INPUT;
procedure TIMER_INPUT;
procedure TIMER_INPUT_INTR(Vector:pointer);
procedure RESERVED4(var p1; p2:integer; p3:integer);
procedure GET_TABLE(var Table; NWords:integer);
procedure CONFIG_LC227(Slot:integer; Mode:integer; Scale:integer);
procedure GET_SAMPLE_LC227(Slot:integer; Chan:integer; var Dest);
function STATUS_LC227(Slot:integer):word;
procedure GET_KADR_LC227(Slot:integer; Mask:integer; var NWords; var DestInt);
function LOAD_BIOS_LC227(Slot:integer; var BiosCode):integer;
function GET_ERROR_HANDLER:PTErrorHandler;
function GET_TIMEOUT:longint;
function PLATA_TEST_CC:integer;
function MEMORY_STATE_CC:integer;
function MEMORY_PM_STATE_CC:integer;
procedure EXECUTE_COMMAND_CC(Code:integer; NWordsOut:integer; var WordsOut; NWordsIn:integer; 
var WordsIn
);
procedure SET_CALIBR_MODE_CC(CalibrMode:integer);
procedure SET_ERROR_HANDLER(NewErrorHandler:PTErrorHandler);
procedure OUTDA_LC301(Slot:integer; Code1:integer; Code2:integer);
function SAMPLE_LC301(Slot_301:integer; SourceSlot:integer; LogChannel:integer):word;
function SAMPLE_LC111(Slot_111:integer; LogChannel:integer):word;
procedure SET_FIFO_SIZE_CC(FifoSize:integer);
procedure CONFIG_FIFO_CC(FirstFifoPage:integer; LastFifoPage:integer);
procedure SOFT_CONFIG_CC(Slot_301:integer; NChannel:integer; var Channels; Rate:integer
);
procedure SOFT_START_CC;
procedure SOFT_STOP_CC;
function GET_NWORDS_CC(var NWords):integer;
procedure GET_SOFT_DATA_CC(var Datad; NWords:longint);
procedure SOFT_CC(Slot_301:integer; NChannel:integer; var Channels; NKadr:longint; 
Rate:integer; 
var Datad
);
procedure FAST_SOFT_IRQ_START_CC(Vector:pointer);
procedure GET_FAST_SOFT_DATA(var Datad; NWords:integer);
procedure FAST_SOFT_START_CC;
procedure GET_FAST_SOFT_IRQ_DATA(var Datad; NWords:integer);
procedure FAST_SOFT_IRQ_STOP_CC;
procedure WAIT_SOFT_DATA_CC(var Datad; NWords:longint);
function GET_CTRL_LC301(Slot:integer):integer;
procedure SET_CTRL_LC301(Slot:integer; CtrlWord:integer);
procedure READ_REG_7710(Chan:integer; A0:integer; var Datad);
procedure WRITE_REG_7710(Chan:integer; A0:integer; var Datad);
function LOAD_BIOS_LC351(Slot:integer; var BiosCode):integer;
function MEMORY_STATE_LC351(Slot:integer):integer;
procedure SET_CTRL_LC351(Slot:integer; AttenMode:integer; CommutMode:integer);
procedure OUTDA_LC351(Slot:integer; Coded:integer);
procedure LOAD_DATA_LC351(Slot:integer; Page:integer; NWords:integer; var Datad
);
procedure START_OUT_LC351(Slot:integer; NWords:longint; Delay:integer);
function LOAD_BIOS_LC451(Slot:integer; var BiosCode):integer;
function INP_DIGITS_401(Slot:integer):word;
procedure ENABLE_IRQ_401(Slot:integer; Enable:integer);
procedure OUT_DIGITS_402(Slot:integer; Data:word);
procedure ENABLE_IRQ_402(Slot:integer; Enable:integer);
procedure OUT_DIGITS_403(Slot:integer; Data:longint);
function INP_DIGITS_403(Slot:integer):longint;
procedure ENABLE_IRQ_403(Slot:integer; Enable:integer);
procedure ENABLE_OUT_403(Slot:integer; EnableMask:integer);
function READ_IO_403(Slot:integer):integer;
procedure RESET_ANSW_403(Slot:integer);
procedure PROGRAM_FILTER_LC201(Slot:integer; Freq:longint);
procedure PROGRAM_USIL_LC201(Slot:integer; Channel:integer; Kusil:integer);
procedure PROGRAM_FILTER_LC210(Slot:integer; Freq:longint);
procedure PROGRAM_USIL_LC210(Slot:integer; Channel:integer; Kusil:integer);
function READ_FLASH_CC(Slot:word; Addr:word):word;
procedure WRITE_FLASH_CC(Slot:integer; Addr:integer; Data:integer);
procedure WRITE_EN_DS_CC(Slot:integer; Enable:integer);
procedure PUT_REMOTE_WORD_CC(Addr:integer; Data:word);
function GET_REMOTE_WORD_CC(Addr:integer):word;
procedure PUT_REMOTE_ARRAY_CC(aPage:integer; Addr:integer; NWords:integer; var Datad
);
procedure GET_REMOTE_ARRAY_CC(aPage:integer; Addr:integer; NWords:integer; var Datad
);
procedure SET_IRQ_MASK_CC(IrqMask:integer);
procedure GET_MODULE_IRQ(var IrqCount; var IrqMarkers);
procedure SET_TIMEOUT(Value:longint);
procedure LOW_POWER_CC(IsLowPower:integer);
procedure OUTDA_LC302(Slot:integer; Channel:integer; Datad:integer);
procedure KADR_LC302(Slot:integer; var ChanAndData; NChannel:integer);
procedure SET_CTRL_LC302(Slot:integer; CtrlWord:integer);
procedure PROGRAM_AD8402(Slot:integer; ChanExt:integer; ChanInt:integer; Data:integer
);
procedure PROGRAM_MAX(Slot:integer; ChanExt:integer; Data:longint);
procedure OUTDA_AD8842(Slot:integer; ChanInt:integer; Datad:integer);
procedure RELEASEDMACHANNEL(Channel:word);
procedure FORCE_INTER_DELAY_CC(InterDelay:integer);
procedure CONNECT_LC501(Slot:integer; Connection:longint);
function ADCHAN_L241(LogChannel:integer):longint;
procedure SELFCALIBR_L241(LogChannel:integer; Control:longint);
procedure SET_INTERFACE_TYPE(aEppMode:integer);
procedure SET_DEVICE_BINDING(InterfaceDevice:integer);
procedure SET_CRAIT_ADDRESS(aBase:integer);
procedure GET_INI_SETTINGS;
procedure CONFIG_LC451(Slot:integer; Mode:integer; Scale:integer);
function STATUS_LC451(Slot:integer):word;
procedure GET_SAMPLE_LC451(Slot:integer; Chan:integer; var Dest);
procedure GET_KADR_LC451(Slot:integer; Mask:integer; var NWords; var DestInt);
procedure SET_THRESHOLD_LC451(Slot:integer; Chan:integer; Typ_:integer; Val:integer
);
procedure SET_IRQ_INFOM_CC(NumCraitSlots:integer; var InfArr);
procedure SET_LC227DATA_IRQSET_CC;
procedure GET_IRQ1DATA_CC(Slot:integer; NWords:integer; var DatArr);
function GET_LC227CHMASK(Slot:integer; ShiftVal:integer):word;
procedure REQUESTDMACHANNEL(var Data; NPoint:word; Channel:word; Dmm:word);
function CALIBRLC201_STEP1_BEG(aSlot_201:integer; aSlot_301:integer):integer;
function CALIBRLC201_STEP1_CYCLE(aChannel:integer; aGain:integer; var Value):integer;
function CALIBRLC201_STEP1_FIN(var NameOfClbFile):integer;
function CALIBRLC201_STEP2_BEG(aSlot_201:integer; aSlot_301:integer):integer;
function CALIBRLC201_STEP2_CYCLE_CHANV0(aChannel:integer; var ValueExpected; var ValueMeasured):integer;
function CALIBRLC201_STEP2_CYCLE_CHANV5(aChannel:integer; var ValueExpected; var ValueMeasured):integer;
function CALIBRLC201_STEP2_CYCLE_CHANZG(aChannel:integer; var Values; var OffsetValue; var GainValue
):integer;
function CALIBRLC201_STEP2_CYCLE_GAIN(aGain:integer; var NameClbFile):integer;
function CALIBRLC201_STEP2_FIN(var FileName):integer;
procedure CALIBR_LC201_STEP1(Slot201:integer; Slot301:integer);
function CALIBR_LC201_STEP2(Slot201:integer; Slot301:integer):integer;
function GET_DFLTCALIBRSET_LC201(var xFltFreq; var xForceIntDel; var xnGains; var xckdFile; 
var Ku; 
var xTimeDAC; 
var xNPoint
):integer;
procedure SETU_LC301(Slot_301:integer; U:double);
function SET_DFLTCALIBRSET_LC201(xFltFreq:longint; xForceIntDel:integer; xnGains:integer; var xckdFile; 
var Ku; 
xTimeDAC:integer; 
xNPoint:integer
):integer;
procedure SET_TRIM_DAC_LC201_FILE(Slot_201:integer; Chan:integer; Gain:integer; var NameClbFile
);
procedure READ_REG_7710_CRAIT(Slot:integer; A0:integer; var Datad);
procedure WRITE_REG_7710_CRAIT(Slot:integer; A0:integer; var Datad);
function CHECK_OVERFLOW_7710_CRAIT:integer;
procedure ENABLE_7710_CRAIT(Slot:integer; Mode:integer);
function FINISH_READ_7710_CRAIT(Slot_301:integer):double;
function FINISH_READ_CODE_7710_CRAIT(Slot_301:integer):longint;
function IS_7710_PRESENT_CRAIT(Slot_301:integer):integer;
function IS_7710_READY_CRAIT(Slot_301:integer):integer;
function READ_7710_CRAIT(Slot_301:integer):double;
function READ_CODE_7710_CRAIT(Slot_301:integer):longint;
procedure RESET_FILTER_7710_CRAIT;
procedure SELF_CALIBR_7710_CRAIT(Slot_301:integer; Gain:integer);
procedure SET_CHANNEL_7710_CRAIT(Slot_301:integer; ExtChan:integer);
function CREATE_CHANNEL_LC201(Channel:integer; Gain:integer; UvxOpened:integer; ConnectDAC:integer
):integer;
procedure KADR_LC227(Slot:integer; Scale:integer; Mask:integer; var Dest
);
function SET_CALIBRATION_LC227(Slot:integer):integer;
procedure SET_CALIBRATION_LC227_ALL;
function GET_LC201_CONNECTDAC_MODE:integer;
procedure SET_LC201_CONNECTDAC_MODE(aConnectDACMode:integer);
procedure INIT_LC201_FROM_FILE(Slot_201:integer; var FileName; CalibrMode:integer; Freq:longint; 
var GainsForChan; 
InterDelayVal:integer; 
aPage1_Fifo:integer; 
aPage2_Fifo:integer
);
procedure INIT_LC201_FROM_PPZU(Slot_201:integer; Freq:longint; var GainsForChan; InterDelayVal:integer; 
aPage1_Fifo:integer; 
aPage2_Fifo:integer
);
procedure KADR_LC451(Slot:integer; Mode:integer; Scale:integer; Mask:integer; 
var Dest
);
procedure INIT_MODULE_LC201(Slot:integer; CalibrMode:integer; Freq:longint; var CurrentModes; 
InterDelayVal:integer; 
aPage1_Fifo:integer; 
aPage2_Fifo:integer
);
procedure TRANSMIT_CALIBR_DATA201_TO_PPZU(Slot:integer; var FileName; var GainSet);
function IN_BYTE(Port:word):word;
function IN_WORD(Port:word):word;
function OUT_BYTE(Port:word; Value:word):word;
function OUT_WORD(Port:word; Value:word):word;
procedure RESET_SYNMODE;
procedure SET_SYNMODE_ADC(Slot_301:word; SourceSynSlot:word; LogSynChan:word; SynDir:word; 
SynLevel:word
);
procedure SET_SYNMODE_TTL(SMode:word; SynSlot:word; SynChan:word; Dir:word);
procedure START_SYNSOFT;
procedure SYNSOFT_CC(Slot_301:word; NChannel:word; var Channels; NKadr:word; 
Rate:word; 
var Datad
);
function LOADBIOS_MODULE_CC(xSlot:integer; var FileName; ModuleType:integer):integer;
function CREATE_CHANNEL_LC101(Channel:integer; Gain:integer; Mode:integer):integer;
function CREATE_CHANNEL_LC102(Channel:integer; Gain:integer; Mode:integer):integer;
function CREATE_CHANNEL_LC104(Channel:integer; Gain:integer; Mode:integer):integer;
function CREATE_CHANNEL_LC111(Channel:integer; Gain:integer; Mode:integer):integer;
function CREATE_CHANNEL_LC210(Channel:integer; UvxOpened:integer; BaseChan:integer):integer;
procedure DEINSTALLLOGIO;
procedure INSTALLLOGIO;
function CREATE_CONTROL_WORD_LC302(Slot:integer; Channel:integer; Datad:integer):word;
function CREATE_FAST_CHAN_CC(ModuleType:integer; Slot:integer; LogChan:word):word;
procedure KADR_OUT_LC302_FAST_CC(Slot302:integer; NChan:integer; var CtrlWrdBuff);
procedure OUT_LC302_FAST_CC(Slot302:integer; Datad:word);
procedure READ_FAST_KADR_CC(Nch:integer; var Datad);
function READ_FAST_SAMPLE_CC(CtrlWrdFast:word):integer;
function LOADCRAIT(CraitType:integer; Adr:integer):integer;
function AUTO_PREPARE_MODULE(ModuleCode:integer):word;
function _GET_DATA:word;
procedure _PUT_DATA(Data:word);
procedure _SEND_COMMAND(Command:word);
function FAST_LOADING_LC010(var BiosCode):integer;
function FAST_LOADING_LCI01(var BiosCode):integer;
procedure COMMAND_L1221(CommandD:word);
procedure GET_DATA_MEMORY_L1221(var DataPointer; Count:word; Address:word);
function GET_DM_WORD_L1221(Address:word):word;
function LOAD_ADSP2186(var BiosCode):word;
procedure PUT_DATA_MEMORY_L1221(var DataPointer; Count:word; Address:word);
procedure PUT_DM_WORD_L1221(Address:word; DataD:word);
procedure INIT_INTR(Vector:pointer);
procedure DELAY(Count:word);
procedure SET_DELAY(Value:word);
function LOAD_DSP_DM(var FileName):integer;
function LOAD_DSP_EXT_PM(var FileName):integer;
procedure LOAD_DSP_INT_PM(var BiosCode);
function LOAD_INT_PM(var FileName):pointer;
procedure RESET_AD_L1221;
procedure CONFIG_FIFO_L750(FifoSize:word);
procedure CONFIG_INPUT_L750(InputMode:wordbool);
procedure DISABLE_PLATA_INT_L750;
procedure DIS_EEPROM_WRITE_L750;
procedure ENABLE_PLATA_INT_L750;
procedure ENA_EEPROM_WRITE_L750;
function GET_DM_WORD_L750(Address:word):word;
function LOAD_BIOS_L750(var BiosCode):wordbool;
procedure OUTDA_L750(DAC_Val:word);
function PLATA_TEST_L750:wordbool;
procedure PUT_DM_WORD_L750(Address:word; DataD:word);
procedure PUT_TRM_BYTE_L750(Address:word; Datad:word);
function READ_EEPROM_L750(Address:word):word;
procedure RESET_DSP_L750;
function SAMPLE_L750:integer;
procedure SELECT_INPUT_MODE_L750(Mode:word);
procedure SETCHANNEL_L750(Chan:word);
procedure SET_DA_NUMBER_L750(DAC_Num:word);
procedure SET_REFERENCE_L750(RefVolt:wordbool);
procedure SET_TIMER_SCALE_L750(Scale:word);
procedure SOFT_L750(var DataD; NKadr:longint; var Channels; Nch:word; Rate:word
);
procedure STREAM_L750(var DataD; Npoint:longint; Channel:word; Rate:word
);
procedure SYNCHRO_MODE_L750(SynchroMode:wordbool);
procedure TTL_CONFIG_L750(TTL_Mode:word);
function TTL_INPUT_L750:word;
procedure TTL_OUTPUT_L750(DataD:word);
procedure WRITE_DA_L750(DAC_Num:word; DAC_Val:word);
procedure WRITE_EEPROM_L750(Address:word; DataD:word);
function IN_DWORD(Port:word):longint;
function OUT_DWORD(Port:word; Value:longint):longint;
procedure REP_IN_BYTE(Port:word; Count:longint; var DataD);
procedure REP_IN_DWORD(Port:word; Count:longint; var DataD);
procedure REP_IN_WORD(Port:word; Count:longint; var DataD);
procedure REP_OUT_BYTE(Port:word; Count:longint; var DataD);
procedure REP_OUT_DWORD(Port:word; Count:longint; var DataD);
procedure REP_OUT_WORD(Port:word; Count:longint; var DataD);
procedure DSP_COMMAND_L750(Command:word);
procedure GET_DATA_MEMORY_L750(Address:word; Npoint:word; var DataD);
function GET_PM_WORD_L750(Address:word):word;
procedure GET_PROGRAM_MEMORY_L750(Address:word; Npoint:word; var DataD);
function GET_TRM_BYTE_L750(Address:word):word;
function GET_TRM_WORD_L750(Address:word):word;
procedure PUT_DATA_MEMORY_L750(Address:word; Npoint:word; var DataD);
procedure PUT_PM_WORD_L750(Address:word; DataD:word);
procedure PUT_PROGRAM_MEMORY_L750(Address:word; Npoint:word; var DataD);
procedure PUT_TRM_DWORD_L750(Datad:longint);
procedure PUT_TRM_WORD_L750(Address:word; Datad:word);
procedure SETRATE_L750(Rate:word);
function SET_ADC_FREQ_L750(Freq:word):word;
procedure SET_DATA_ADDRESS_L750(Address:word);
function ADCHAN_L750(Chan:word):integer;
procedure SPELT_AMPLIFIER_OLD_TIGER(Number:word; Coded:word);
procedure SPELT_FILTER_OLD_TIGER(FilterNumber:word; CutFrequency:word);
function CALIBR_LC212(xSlot:word; xType:word; IsUseFlash:word):word;
procedure CREATE_CHANNEL_LC212(Slot:word; Chan:word; Diapazon:word);
function GET_LC212_DATA(xSlot:word; NPoints:word; var xData):word;
procedure IDMA_FORCE_IRQ2(xSlot:word);
procedure IDMA_FORCE_RESET(Slot:word);
procedure IDMA_GET_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);
function IDMA_GET_DM_WORD(Slot:word; Addr:word):word;
procedure IDMA_PUT_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);
procedure IDMA_PUT_DM_WORD(Slot:word; Addr:word; xData:word);
procedure LC212_COLD_REBOOT(xSlot:word);
function LOAD_LC212(Slot:word; var FileName):word;
procedure RESET_LC212_AD7730(xSlot:word);
procedure RESTORE_LC212(xSlot:word);
procedure SET_FIFO_SIZE_LC212(xSlot:word; xLen:word);
procedure SET_MODE_LC212(Slot:word; Mode:word; HiRef:word; FreqCode:word; AC:word
);
procedure START_LC212(Slot:word; Mask:word; IsUseFlash:word);
procedure STOP_LC212(Slot:word);
procedure WRITEPM_V(Address:word; Value:word);
procedure STOP_LC212_FOR_CALIBR(xSlot:word; StopCalibrType:word);
procedure CONFIGURE_FAST_KADR_CC(Nch:integer; var Buffer; ModuleType:word);
procedure OUTDA_LC352(slot:word; Coded:word; Atten:word; SwType:word);
procedure OUTDA_LC352_VOLT(slot:word; Volts:double; Atten:word; SwType:word);
function PROGRAM_LC352(Slot:word; Ampl:double; ModeConnect:word; var Freq; 
Sigtype:word; 
var Atten; 
a:word; 
b:word
):word;
procedure READ_FAST_KADR111_CC(NCH111:word; var Buffer);
procedure SETU_LC352(U:double);
procedure GET_FILTERS_INFO_LC212(xSlot:word; var xIirOn; var xFirOn; var xDec; var xloadIir; 
var xloadFir; 
var xtaps
);
function LOAD_FILTER_LC212(xSlot:word; FilterType:word; var FilterFileName):word;
procedure MANAGE_FILTERS_LC212(xSlot:word; xIirOn:word; xFirOn:word);
procedure RESET_DIGITAL_FILTERS_LC212(xSlot:word);
procedure RESET_POINTER_LC212(xSlot:word);
function GET_LC114_DATA_FOR_CHANNEL(Slot:word; FifoLength:word; Lc114Nch:word; N:word; 
var BufferLc114; 
Lc114Channel:word; 
CodacBit:word
):word;
function GET_LC114_DS1820_TEMP(Slot:word):double;
function GET_LC114_MODULE_TEMP(Slot:word):double;
function LOAD_BIOS_LC114(Slot:word; var NameBIOS):word;
function READY_LC114_SAMPLES(Slot:word; SlotLC114_1:word; SlotLC114_2:word):word;
procedure SEND_COMMAND_LC114(Slot:word; Command:word; Wait:word);
function SET_LC114_CALIBR(Slot:word; WaitNewSamples:word):word;
procedure SET_LC114_CONTROL_WORDS(Slot:word; Lc114AutoCalibrType:word; Lc114CommutatorType:word; var pLc114Range; 
WaitNewSamples:word
);
procedure SET_LC114_DECIMATION(Slot:word; Decimate:word; WaitNewSamples:word);
procedure SET_LC114_FIFO(Slot:word; MaskForChannels:word; FifoLength:word; WaitNewSaples:word
);
function SET_LC114_FILTER(Slot:word; var FileName; var NormalizatorName; WaitNewSaples:word
):word;
procedure SET_LC114_PROGRAM_VERSION(Slot:word; Version:word; WaitNewSamples:word);
procedure SHOW_SELF_SLAVE_FOR_LC114_UNIT2(Slot:word; SlotLC114_1:word; SlotLC114_2:word);
procedure START_MASTER_LC114(Slot:word; SlotLC114_1:word; SlotLC114_2:word; WaitNewSamples:word
);
function CHECK_OVERFLOW_LC202(Slot:word; Channel:word):word;
function FIFO_CONFIG_LC202(Slot:word; AddressIndex:word; Length:word):word;
function FLASH_READ_LC202(Slot:word; FAddress:word; var FByte):word;
function FLASH_WRITE_LC202(Slot:word; FAddress:word; FByte:word):word;
function GET_DATA_LC202(Slot:word; N_Points:word; var Buffer):word;
function GET_FI_LC202(Slot:word; var FI):word;
function LOAD_BIOS_LC202(Slot:word; var NameBIOS):word;
function LOAD_COEF_LC202(Slot:word):word;
function SEND_COMMAND_LC202(Slot:word; Command:word):word;
function SET_ATTENUATION_LC202(Slot:word; Attenuation:word):word;
function SET_DSP_TYPE_LC202(Slot:word; DSP_Type:word):word;
function SET_FO_LC202(Slot:word; FO:word):word;
function SET_GAIN_LC202(Slot:word; Gain:word; Channel:word):word;
function SET_INPUT_MODE_LC202(Slot:word; InputMode:word):word;
function SET_POSTOYANKA_LC202(Slot:word; ConstLevel:word):word;
function SET_RATE_LC202(Slot:word; Rate:word; FreqDiv_256or384:word):word;
function SYNCHRO_CONFIG_LC202(Slot:word; SynType:word; SynSens:word; SynBuf:word; SynMode:word; 
AdCh:word; 
AdP:word
):word;
function TEST_CIRCUIT_LC212(xSlot:word; var States):word;
procedure XIDMA_GET_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);
function XIDMA_GET_DM_WORD(Slot:word; Addr:word):word;
procedure XIDMA_PUT_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);
procedure XIDMA_PUT_DM_WORD(Slot:word; Addr:word; xData:word);
procedure IDMA301_CONFIG_CC(Slot_301:word; NChannel:word; var Channels; Rate:word; 
xFifoSize:word; 
var NModulesIdma; 
var TableEnaAddr; 
var TableMainIDMA
);
procedure IDMA301_IRQ_INPUT_CC(var xPointers; var xFlags);
procedure IDMA301_IRQ_START_CC(Vector:pointer);
procedure IDMA301_IRQ_STOP_CC;
procedure IDMA301_PREPARE_LC212(xSlot:word; var TableEnaAdr; var TableMain);
procedure SET_ENA_FLAG_LC212(xSlot:word; EnaFlag:word);
procedure IDMA301_INPUT_CC(var Datad; var IDs);
procedure IDMA301_START_CC;
procedure IDMA301_STOP_CC;
function GET_LPT_DELAY_CC:word;
procedure SET_LPT_DELAY_CC(DelayVal:word);
procedure IDMA301_PREPARE_LC202(xSlot:word; var TableEnaAdr; var TableMain);
procedure CONFIG_LC302_ON_FLY(xNwrd:word; var xData);
function LOAD_BIOS_LCIDE(var FileName):integer;
procedure SET_BASE_ADDRESS_IDE(BaseAddrData:integer; BaseAddrCtrl:integer);
procedure SET_DELAY_IDE(DelayValue:integer);
procedure MAIN_INP111_OUT302(var Datad; NWords:word; var Data302; N302:word);
procedure START_INP111_OUT302(Vector:pointer);
procedure STOP_INP111_OUT302;
function GET_BASE_ADDRESS:integer;
procedure HANDL_SET_LC116_CURRENT(Slot:integer; Scale:integer; Channel:integer; CalibrData:integer
);
function READ_LC116_CALIBR(Slot:integer; var Data):integer;
function SET_LC116_CURRENT(Slot:integer; Scale:integer; Channel:integer):integer;
procedure WRITE_LC116_CALIBR(Slot:integer; var Data);
function GET_LC114_DATA_FOR_CHANNELS(Slot:word; FifoLength:word; Lc114Nch:word; N:word; 
var BufferLc114; 
CodacBit:word
):word;
function LC114_CHECK_FIFO(Slot:integer):integer;
function LC114_GET_ADC_TYPE(Slot:integer):integer;
function LC114_GET_CDATA1(Slot:integer; NC:integer):integer;
procedure LC114_GET_CDATA16(Slot:integer; var CData);
function LC114_GET_DS1820(Slot:integer):double;
procedure LC114_GET_FIFO(Slot:integer; var FIFO_Buf; half:integer);
function LC114_GET_FIFO_POINTER(Slot:integer):integer;
function LC114_LOAD_BIOS(Slot:word; var Bios_Name):integer;
procedure LC114_LOAD_CALIBRATION_COEF(Slot:integer);
function LC114_LOAD_FILTR(Slot:integer; var Filtr_Name):integer;
function LC114_PUT_DQI_HIGH(Slot:integer):integer;
function LC114_PUT_DQI_LOW(Slot:integer):integer;
procedure LC114_SET_BOARD_MODE(Slot:integer; Mode:integer);
procedure LC114_SET_CALIBRATION_COEF(Slot:integer; var CalibrCoef);
procedure LC114_SET_CBAND1(Slot:integer; Nc:char; CBand:char);
procedure LC114_SET_CBAND16(Slot:integer; var CBands);
procedure LC114_SET_CMASK(Slot:integer; CMask:word);
procedure LC114_SET_DECIMATION(Slot:integer; Dec_K:integer);
procedure LC114_SET_FIFO(Slot:integer; FIFO_Size:integer);
procedure LC114_SET_FILTR(Slot:integer; FiltrFlag:char);
procedure LC114_SET_ZCALIBRATION(Slot:integer; CalibrFlag:char);
function LC114_START(Slot:integer):integer;
function LC114_STOP(Slot:integer):integer;
function LC114_WRITE_FLASH(Slot:integer; var CalibrCoef):integer;
function LC114_CHECK_TC(Slot:integer):word;
function GET_SERR:longint;
procedure RST_SERR(Val:longint);
function GET_FATAL_ERROR:word;
procedure SET_FATAL_ERROR;
procedure OUTDA_AD8XXX(Slot:word; SerialPort:word; Channel:word; Datad:word
);
procedure SET_SCALE_AD8XXX(Slot:word; xScale:word);
function LC114_GET_BOARD_MODE(Slot:integer):integer;
function LC114_GET_SYNC_STAT(Slot:integer):integer;
procedure FORCE_LOAD_PAGE(LenData:word; ShiftValue:word; RegTmp:word);
procedure LOAD_DATA_LC352_BY8192(Slot:word; DatSz:word; ShiftVal:word; var Datax);
function USER_PROGRAM_LC352(Slot:word; Len:integer; var XData; FreqDiv:word; Atten:word
):word;
function USER_CHECK_TO:word;
function LC237_GET_CC(Slot:integer; var Sc; var Zc; var Types):integer;
function LC237_LOAD_BIOS(Slot:integer; var file_name):integer;

implementation

procedure SELECT_SLOT(Slot:integer);external 'LCARD_AD';
function PLATA_TEST:integer;external 'LCARD_AD';
procedure SET_BOARD_TYPE(BoardType:integer);external 'LCARD_AD';
function GET_BOARD_TYPE:integer;external 'LCARD_AD';
procedure SET_BASE_ADDRESS(Address:integer);external 'LCARD_AD';
procedure ENABLE_INT(_IntEnabled:integer);external 'LCARD_AD';
function CREATE_CHANNEL(Channel:integer; Usil:integer; Mode:integer):word;external 'LCARD_AD';
function MEMORY_STATE:integer;external 'LCARD_AD';
function MEMORY_PM_STATE:integer;external 'LCARD_AD';
procedure SET_INTER_DELAY(delay_value:integer);external 'LCARD_AD';
procedure SET_ADSP_SPEED(DspType:integer);external 'LCARD_AD';
procedure SET_WAIT_STATE(wait_state:integer);external 'LCARD_AD';
procedure SET_TIMER_SCALE(ScaleValue:integer);external 'LCARD_AD';
procedure TIMER_L154_L164(TimerNumber:integer; Mode:integer; Rate:integer);external 'LCARD_AD';
procedure WAIT_TICK_L154_L164(TimerNumber:integer);external 'LCARD_AD';
function GET_TIMER_L154_L164:integer;external 'LCARD_AD';
procedure CALIBRATION;external 'LCARD_AD';
procedure INIT_COMPARATOR(Channel:integer; Porog:integer; BitNPoint:integer; HandleMode:integer
);external 'LCARD_AD';
procedure LOW_POWER(ModeReg:integer);external 'LCARD_AD';
function GET_SLOT_CODE(CraitNumber:integer; ModuleNumber:integer):integer;external 'LCARD_AD';
procedure RESET_ALL;external 'LCARD_AD';
function MAKE_CHANNEL(CraitNumber:integer; ModuleNumber:integer; Chan:integer; 
Kadrr:integer; 
Usil:integer
):word;external 'LCARD_AD';
procedure PROGRAM_FILTER(CraitNumber:integer; ModuleNumber:integer; CutFrequency:integer; 
AnalogFilterType:integer
);external 'LCARD_AD';
procedure PROGRAM_LM_201(CraitNumber:integer; ModuleNumber:integer; Chan:integer; 
Usil1:integer; 
Source:integer
);external 'LCARD_AD';
procedure PROGRAM_LM_102(CraitNumber:integer; ModuleNumber:integer; Usil1:integer
);external 'LCARD_AD';
procedure PROGRAM_LM_501(CraitNumber:integer; ModuleNumber:integer; M3:integer; 
M2:integer; 
M1:integer; 
EN:integer; 
EP:integer; 
AN:integer; 
AP:integer
);external 'LCARD_AD';
procedure PROGRAM_LM_DAC(CraitNumber:integer; ModuleNumber:integer; Mode:integer; 
Coded:integer; 
DacCh:integer
);external 'LCARD_AD';
function GET_LM_401(CraitNumber:integer; ModuleNumber:integer):integer;external 'LCARD_AD';
function LM_404(Coded:word):word;external 'LCARD_AD';
procedure PROGRAM_LM_TTLOUT(CraitNumber:integer; ModuleNumber:integer; Coded:word
);external 'LCARD_AD';
procedure SETCHANNEL(Channel:word);external 'LCARD_AD';
function SAMPLE:word;external 'LCARD_AD';
function ADCHAN(Chan:word):word;external 'LCARD_AD';
procedure KADR(var Datad; var Chans; Nch:integer);external 'LCARD_AD';
procedure STREAM(var Datad; Npoint:integer; Chan:word; Rate:integer);external 'LCARD_AD';
procedure SOFT(var Datad; Nkadr:integer; var Chan; Nch:integer; Rate:integer
);external 'LCARD_AD';
procedure SOFT_HUGE(var Datad; Nkadr:longint; var Chan; Nch:integer; Rate:integer
);external 'LCARD_AD';
procedure DMAONE(var Datad; Npoint:integer; Chan:integer; Rate:integer; 
Dmm:integer
);external 'LCARD_AD';
procedure DMAALL(var Datad; Nkadr:integer; var Chan; Nch:integer; Rate:integer; 
Dmm:integer
);external 'LCARD_AD';
procedure DMA_ALL_DA(var AdDatad; AdNkadr:integer; var Chan; Nch:integer; Rate:integer; 
AdDmm:integer; 
var DaDatad; 
DaNkadr:integer; 
DaDmm:integer; 
DaNumber:integer
);external 'LCARD_AD';
procedure OUTDA(Coded:integer);external 'LCARD_AD';
procedure SET_DA_NUMBER(SoftDaMode:integer; DaNumber:integer);external 'LCARD_AD';
procedure STREAM_OUTDA(Coded:word);external 'LCARD_AD';
procedure DASTREAM(Rate:integer; Npoint:integer; var Datad);external 'LCARD_AD';
procedure DASTREAM_HUGE(Rate:integer; Npoint:longint; var Datad);external 'LCARD_AD';
procedure DADMASTREAM(var Datad; Npoint:integer; Rate:integer; Dmm:integer
);external 'LCARD_AD';
procedure OUTBYTE(CodeVal:integer);external 'LCARD_AD';
function INPBYTE:integer;external 'LCARD_AD';
function DSP_INPBYTE:integer;external 'LCARD_AD';
procedure DSP_OUTBYTE(CodeVal:integer);external 'LCARD_AD';
procedure INTR_SETUP(Number:integer);external 'LCARD_AD';
procedure STOP_INTR;external 'LCARD_AD';
procedure RESET_IRQ;external 'LCARD_AD';
procedure INIT_SIMPLE_INTR(Rate:integer; Rate1:integer; Vector:pointer);external 'LCARD_AD';
procedure STREAM_INTR(Rate:integer; Vector:pointer; Chan:word);external 'LCARD_AD';
procedure SOFT_INTR(Rate:integer; Vector:pointer; var Chan; Nch:integer);external 'LCARD_AD';
function READ_DATA:integer;external 'LCARD_AD';
function DATA_READY:integer;external 'LCARD_AD';
procedure SYNCHRO_MODE(SMode:integer; TtlMask:integer; AdChannel:word; AdValue:word
);external 'LCARD_AD';
procedure SOFT_MEMORY_START(Nkadr:longint; var Chan; Nch:integer; Rate:integer; PageNumber:integer; 
OffsetNumber:integer; 
RestartMode:integer
);external 'LCARD_AD';
function TEST_FOR_INPUT_END:integer;external 'LCARD_AD';
procedure GET_INPUT_DATA(var Datad; Npoint:integer);external 'LCARD_AD';
procedure SOFT_MEMORY_RESTART;external 'LCARD_AD';
procedure DMA_OFF;external 'LCARD_AD';
function DMA_TEST:integer;external 'LCARD_AD';
function DMA_COUNTER_IN:integer;external 'LCARD_AD';
function DMA_COUNTER_OUT:integer;external 'LCARD_AD';
procedure GET_BUFFER(var Data);external 'LCARD_AD';
function GET_BUFFER_HALF(var Data):integer;external 'LCARD_AD';
procedure PUT_BUFFER(var Data);external 'LCARD_AD';
function PUT_BUFFER_HALF(var Data):integer;external 'LCARD_AD';
procedure CONFIG_FIFO(fifo_mode:integer);external 'LCARD_AD';
procedure CONFIG_2FIFO_TYPE(fifo_type:integer; fifo_length:integer);external 'LCARD_AD';
procedure READ_FIFO(var Datad; Npoint:integer);external 'LCARD_AD';
procedure STREAM_FIFO2_BEGIN(Rate:integer; Vector:pointer; var Chan; Nch:integer);external 'LCARD_AD';
procedure GET_DIGITS_1056(Chan:integer; var Data);external 'LCARD_AD';
procedure OUT_DIGITS_1056(Data:integer);external 'LCARD_AD';
procedure STREAM_1056(var Datad; NKadr:integer; Chan:integer; Rate:integer);external 'LCARD_AD';
procedure STREAM_DMA_1056(var Datad; Nkadr:integer; Chan:integer; Rate:integer; Dmm:integer
);external 'LCARD_AD';
procedure OUT_STREAM_1056(var Datad; NPoint:integer; Rate:integer);external 'LCARD_AD';
procedure OUT_STREAM_DMA_1056(var Datad; Npoint:integer; Rate:integer; Dmm:integer
);external 'LCARD_AD';
procedure INIT_INTR_1056(Rate:integer; Chan:integer; Vector:pointer);external 'LCARD_AD';
procedure SET_SYNCHRO_MODE_1056(s_mode:integer; s_number:integer; s_mask:integer);external 'LCARD_AD';
procedure ZERO_MODE_1208(Mode:integer);external 'LCARD_AD';
procedure OUTDA_1208(Coded:word; DacNumber:integer);external 'LCARD_AD';
procedure KADR_1208(Nch:integer; var Datad; var DacNumber);external 'LCARD_AD';
procedure SOFT_1208(var Datad; NPoint:integer; var DacNumber; NCh:integer; 
Rate:integer
);external 'LCARD_AD';
procedure SOFT_FON_1208(var Datad; NPoint:integer; var DacNumber; NCh:integer; 
Rate:integer
);external 'LCARD_AD';
procedure DMASOFT_1208(var Datad; NPoint:integer; var DacNumber; Nch:integer; 
Rate:integer; 
Dmm:integer
);external 'LCARD_AD';
procedure SOFT_INTR_1208(Rate:integer; Vector:pointer; Nch:integer);external 'LCARD_AD';
function GET_DATA:integer;external 'LCARD_AD';
procedure PUT_DATA(Data:word);external 'LCARD_AD';
procedure READ_INT_MEMORY(var Datad; Page:integer; StartAddr:integer; NWords:integer
);external 'LCARD_AD';
procedure WRITE_INT_MEMORY(var Datad; Page:integer; StartAddr:integer; NWords:integer
);external 'LCARD_AD';
function LOADBIOS(var FileName; LoadMode:word):integer;external 'LCARD_AD';
procedure POWER_AND_PRINTER_E330(ModePower:integer; ModePrinter:integer);external 'LCARD_AD';
procedure SET_EPP_MODE_E330(aEppMode:integer);external 'LCARD_AD';
procedure SET_FIFO_PARAMETERS_E330(FifoSize:integer; FifoMode:integer);external 'LCARD_AD';
procedure SET_SOFT_PARM_E330(Nch:integer; var Channels);external 'LCARD_AD';
procedure SET_TIME_PARAMETERS_E330(Rate:word);external 'LCARD_AD';
procedure TIMER_INPUT_START_E330;external 'LCARD_AD';
procedure STOP_FUNC_E330;external 'LCARD_AD';
procedure TIMER_INPUT_E330(var Datad; NWords:integer);external 'LCARD_AD';
procedure SOFT_MEMORY_PREPARE_E330(Nkadr:longint; PageNumber:integer; OffsetNumber:integer; RestartMode:integer
);external 'LCARD_AD';
procedure SOFT_MEMORY_START_E330;external 'LCARD_AD';
procedure TIMER_INPUT_IRQ_START_E330(Vector:pointer);external 'LCARD_AD';
procedure IRQ_SLOW_START_E330(IrqPeriod:integer; Vector:pointer);external 'LCARD_AD';
procedure SET_TEST_SPEED_MODE_E330(TestMode:integer);external 'LCARD_AD';
procedure WRITE_BY_ADDRESS_E330(Address:integer; Data:word);external 'LCARD_AD';
function READ_BY_ADDRESS_E330(Address:integer):word;external 'LCARD_AD';
procedure BOARD_SPECIFIC_INIT(LowPowerMode:integer);external 'LCARD_AD';
procedure SELECT_BOARD(Board:integer);external 'LCARD_AD';
procedure SETBASEADDRESS(Address:integer);external 'LCARD_AD';
procedure EXEC_ADSP_COMMAND(Command:integer; NWordsOut:integer; var WordsOut; NWordsIn:integer; 
var WordsIn
);external 'LCARD_AD';
function GET_STATUS:integer;external 'LCARD_AD';
procedure ALLOCATEBUFFER(PDmaChannel:PTDmaChannel; NeedCopy:word);external 'LCARD_AD';
procedure CONFIG_TX_CHANNEL_LCI01(Channel:integer);external 'LCARD_AD';
procedure FREEBUFFER(PDmaChannel:PTDmaChannel; NeedCopy:word);external 'LCARD_AD';
procedure GET_HALF_FIFO(var Datad; NPoint:integer; Mode:integer);external 'LCARD_AD';
procedure GET_INPUT_POINTS(var Datad);external 'LCARD_AD';
function QADCHAN(Chan:word):word;external 'LCARD_AD';
function LOADBIOSFROMARRAY_L1211(var BiosCode):integer;external 'LCARD_AD';
procedure INIT_CORRECTION_LC302(Type_:word);external 'LCARD_AD';
procedure QSOFT(var Datad; Rate:word);external 'LCARD_AD';
procedure RESERVED2(var p1; p2:integer; p3:integer);external 'LCARD_AD';
procedure READ_CALIBR_CC;external 'LCARD_AD';
procedure CONFIG_RX_CHANNEL_LCI01(Channel:integer);external 'LCARD_AD';
procedure SELECT_DEVICE(DeviceNumber:integer);external 'LCARD_AD';
procedure SET_AD_MODE(Mode:integer);external 'LCARD_AD';
procedure CONFIGURE_FAST_READ_CC(Nch:integer; var FastLogChanBuff);external 'LCARD_AD';
procedure SET_CHANNELS(Nch:word; Single:word);external 'LCARD_AD';
procedure INITIALIZE_CORRECTION_PC(CalibrMode:word);external 'LCARD_AD';
procedure SET_DAC_BUFER_E330(Npoint:integer; var Data);external 'LCARD_AD';
procedure SET_TIME(Rate:integer; Scale:integer; Epocha:integer);external 'LCARD_AD';
procedure SET_FAST_PARAMS_CC(Slot301:integer; DACDelayValue:integer; NChannel:integer);external 'LCARD_AD';
procedure START_LOOP_DAC_E330;external 'LCARD_AD';
procedure STOP_INPUT;external 'LCARD_AD';
procedure TIMER_INPUT;external 'LCARD_AD';
procedure TIMER_INPUT_INTR(Vector:pointer);external 'LCARD_AD';
procedure RESERVED4(var p1; p2:integer; p3:integer);external 'LCARD_AD';
procedure GET_TABLE(var Table; NWords:integer);external 'LCARD_AD';
procedure CONFIG_LC227(Slot:integer; Mode:integer; Scale:integer);external 'LCARD_AD';
procedure GET_SAMPLE_LC227(Slot:integer; Chan:integer; var Dest);external 'LCARD_AD';
function STATUS_LC227(Slot:integer):word;external 'LCARD_AD';
procedure GET_KADR_LC227(Slot:integer; Mask:integer; var NWords; var DestInt);external 'LCARD_AD';
function LOAD_BIOS_LC227(Slot:integer; var BiosCode):integer;external 'LCARD_AD';
function GET_ERROR_HANDLER:PTErrorHandler;external 'LCARD_AD';
function GET_TIMEOUT:longint;external 'LCARD_AD';
function PLATA_TEST_CC:integer;external 'LCARD_AD';
function MEMORY_STATE_CC:integer;external 'LCARD_AD';
function MEMORY_PM_STATE_CC:integer;external 'LCARD_AD';
procedure EXECUTE_COMMAND_CC(Code:integer; NWordsOut:integer; var WordsOut; NWordsIn:integer; 
var WordsIn
);external 'LCARD_AD';
procedure SET_CALIBR_MODE_CC(CalibrMode:integer);external 'LCARD_AD';
procedure SET_ERROR_HANDLER(NewErrorHandler:PTErrorHandler);external 'LCARD_AD';
procedure OUTDA_LC301(Slot:integer; Code1:integer; Code2:integer);external 'LCARD_AD';
function SAMPLE_LC301(Slot_301:integer; SourceSlot:integer; LogChannel:integer):word;external 'LCARD_AD';
function SAMPLE_LC111(Slot_111:integer; LogChannel:integer):word;external 'LCARD_AD';
procedure SET_FIFO_SIZE_CC(FifoSize:integer);external 'LCARD_AD';
procedure CONFIG_FIFO_CC(FirstFifoPage:integer; LastFifoPage:integer);external 'LCARD_AD';
procedure SOFT_CONFIG_CC(Slot_301:integer; NChannel:integer; var Channels; Rate:integer
);external 'LCARD_AD';
procedure SOFT_START_CC;external 'LCARD_AD';
procedure SOFT_STOP_CC;external 'LCARD_AD';
function GET_NWORDS_CC(var NWords):integer;external 'LCARD_AD';
procedure GET_SOFT_DATA_CC(var Datad; NWords:longint);external 'LCARD_AD';
procedure SOFT_CC(Slot_301:integer; NChannel:integer; var Channels; NKadr:longint; 
Rate:integer; 
var Datad
);external 'LCARD_AD';
procedure FAST_SOFT_IRQ_START_CC(Vector:pointer);external 'LCARD_AD';
procedure GET_FAST_SOFT_DATA(var Datad; NWords:integer);external 'LCARD_AD';
procedure FAST_SOFT_START_CC;external 'LCARD_AD';
procedure GET_FAST_SOFT_IRQ_DATA(var Datad; NWords:integer);external 'LCARD_AD';
procedure FAST_SOFT_IRQ_STOP_CC;external 'LCARD_AD';
procedure WAIT_SOFT_DATA_CC(var Datad; NWords:longint);external 'LCARD_AD';
function GET_CTRL_LC301(Slot:integer):integer;external 'LCARD_AD';
procedure SET_CTRL_LC301(Slot:integer; CtrlWord:integer);external 'LCARD_AD';
procedure READ_REG_7710(Chan:integer; A0:integer; var Datad);external 'LCARD_AD';
procedure WRITE_REG_7710(Chan:integer; A0:integer; var Datad);external 'LCARD_AD';
function LOAD_BIOS_LC351(Slot:integer; var BiosCode):integer;external 'LCARD_AD';
function MEMORY_STATE_LC351(Slot:integer):integer;external 'LCARD_AD';
procedure SET_CTRL_LC351(Slot:integer; AttenMode:integer; CommutMode:integer);external 'LCARD_AD';
procedure OUTDA_LC351(Slot:integer; Coded:integer);external 'LCARD_AD';
procedure LOAD_DATA_LC351(Slot:integer; Page:integer; NWords:integer; var Datad
);external 'LCARD_AD';
procedure START_OUT_LC351(Slot:integer; NWords:longint; Delay:integer);external 'LCARD_AD';
function LOAD_BIOS_LC451(Slot:integer; var BiosCode):integer;external 'LCARD_AD';
function INP_DIGITS_401(Slot:integer):word;external 'LCARD_AD';
procedure ENABLE_IRQ_401(Slot:integer; Enable:integer);external 'LCARD_AD';
procedure OUT_DIGITS_402(Slot:integer; Data:word);external 'LCARD_AD';
procedure ENABLE_IRQ_402(Slot:integer; Enable:integer);external 'LCARD_AD';
procedure OUT_DIGITS_403(Slot:integer; Data:longint);external 'LCARD_AD';
function INP_DIGITS_403(Slot:integer):longint;external 'LCARD_AD';
procedure ENABLE_IRQ_403(Slot:integer; Enable:integer);external 'LCARD_AD';
procedure ENABLE_OUT_403(Slot:integer; EnableMask:integer);external 'LCARD_AD';
function READ_IO_403(Slot:integer):integer;external 'LCARD_AD';
procedure RESET_ANSW_403(Slot:integer);external 'LCARD_AD';
procedure PROGRAM_FILTER_LC201(Slot:integer; Freq:longint);external 'LCARD_AD';
procedure PROGRAM_USIL_LC201(Slot:integer; Channel:integer; Kusil:integer);external 'LCARD_AD';
procedure PROGRAM_FILTER_LC210(Slot:integer; Freq:longint);external 'LCARD_AD';
procedure PROGRAM_USIL_LC210(Slot:integer; Channel:integer; Kusil:integer);external 'LCARD_AD';
function READ_FLASH_CC(Slot:word; Addr:word):word;external 'LCARD_AD';
procedure WRITE_FLASH_CC(Slot:integer; Addr:integer; Data:integer);external 'LCARD_AD';
procedure WRITE_EN_DS_CC(Slot:integer; Enable:integer);external 'LCARD_AD';
procedure PUT_REMOTE_WORD_CC(Addr:integer; Data:word);external 'LCARD_AD';
function GET_REMOTE_WORD_CC(Addr:integer):word;external 'LCARD_AD';
procedure PUT_REMOTE_ARRAY_CC(aPage:integer; Addr:integer; NWords:integer; var Datad
);external 'LCARD_AD';
procedure GET_REMOTE_ARRAY_CC(aPage:integer; Addr:integer; NWords:integer; var Datad
);external 'LCARD_AD';
procedure SET_IRQ_MASK_CC(IrqMask:integer);external 'LCARD_AD';
procedure GET_MODULE_IRQ(var IrqCount; var IrqMarkers);external 'LCARD_AD';
procedure SET_TIMEOUT(Value:longint);external 'LCARD_AD';
procedure LOW_POWER_CC(IsLowPower:integer);external 'LCARD_AD';
procedure OUTDA_LC302(Slot:integer; Channel:integer; Datad:integer);external 'LCARD_AD';
procedure KADR_LC302(Slot:integer; var ChanAndData; NChannel:integer);external 'LCARD_AD';
procedure SET_CTRL_LC302(Slot:integer; CtrlWord:integer);external 'LCARD_AD';
procedure PROGRAM_AD8402(Slot:integer; ChanExt:integer; ChanInt:integer; Data:integer
);external 'LCARD_AD';
procedure PROGRAM_MAX(Slot:integer; ChanExt:integer; Data:longint);external 'LCARD_AD';
procedure OUTDA_AD8842(Slot:integer; ChanInt:integer; Datad:integer);external 'LCARD_AD';
procedure RELEASEDMACHANNEL(Channel:word);external 'LCARD_AD';
procedure FORCE_INTER_DELAY_CC(InterDelay:integer);external 'LCARD_AD';
procedure CONNECT_LC501(Slot:integer; Connection:longint);external 'LCARD_AD';
function ADCHAN_L241(LogChannel:integer):longint;external 'LCARD_AD';
procedure SELFCALIBR_L241(LogChannel:integer; Control:longint);external 'LCARD_AD';
procedure SET_INTERFACE_TYPE(aEppMode:integer);external 'LCARD_AD';
procedure SET_DEVICE_BINDING(InterfaceDevice:integer);external 'LCARD_AD';
procedure SET_CRAIT_ADDRESS(aBase:integer);external 'LCARD_AD';
procedure GET_INI_SETTINGS;external 'LCARD_AD';
procedure CONFIG_LC451(Slot:integer; Mode:integer; Scale:integer);external 'LCARD_AD';
function STATUS_LC451(Slot:integer):word;external 'LCARD_AD';
procedure GET_SAMPLE_LC451(Slot:integer; Chan:integer; var Dest);external 'LCARD_AD';
procedure GET_KADR_LC451(Slot:integer; Mask:integer; var NWords; var DestInt);external 'LCARD_AD';
procedure SET_THRESHOLD_LC451(Slot:integer; Chan:integer; Typ_:integer; Val:integer
);external 'LCARD_AD';
procedure SET_IRQ_INFOM_CC(NumCraitSlots:integer; var InfArr);external 'LCARD_AD';
procedure SET_LC227DATA_IRQSET_CC;external 'LCARD_AD';
procedure GET_IRQ1DATA_CC(Slot:integer; NWords:integer; var DatArr);external 'LCARD_AD';
function GET_LC227CHMASK(Slot:integer; ShiftVal:integer):word;external 'LCARD_AD';
procedure REQUESTDMACHANNEL(var Data; NPoint:word; Channel:word; Dmm:word);external 'LCARD_AD';
function CALIBRLC201_STEP1_BEG(aSlot_201:integer; aSlot_301:integer):integer;external 'LCARD_AD';
function CALIBRLC201_STEP1_CYCLE(aChannel:integer; aGain:integer; var Value):integer;external 'LCARD_AD';
function CALIBRLC201_STEP1_FIN(var NameOfClbFile):integer;external 'LCARD_AD';
function CALIBRLC201_STEP2_BEG(aSlot_201:integer; aSlot_301:integer):integer;external 'LCARD_AD';
function CALIBRLC201_STEP2_CYCLE_CHANV0(aChannel:integer; var ValueExpected; var ValueMeasured):integer;external 'LCARD_AD';
function CALIBRLC201_STEP2_CYCLE_CHANV5(aChannel:integer; var ValueExpected; var ValueMeasured):integer;external 'LCARD_AD';
function CALIBRLC201_STEP2_CYCLE_CHANZG(aChannel:integer; var Values; var OffsetValue; var GainValue
):integer;external 'LCARD_AD';
function CALIBRLC201_STEP2_CYCLE_GAIN(aGain:integer; var NameClbFile):integer;external 'LCARD_AD';
function CALIBRLC201_STEP2_FIN(var FileName):integer;external 'LCARD_AD';
procedure CALIBR_LC201_STEP1(Slot201:integer; Slot301:integer);external 'LCARD_AD';
function CALIBR_LC201_STEP2(Slot201:integer; Slot301:integer):integer;external 'LCARD_AD';
function GET_DFLTCALIBRSET_LC201(var xFltFreq; var xForceIntDel; var xnGains; var xckdFile; 
var Ku; 
var xTimeDAC; 
var xNPoint
):integer;external 'LCARD_AD';
procedure SETU_LC301(Slot_301:integer; U:double);external 'LCARD_AD';
function SET_DFLTCALIBRSET_LC201(xFltFreq:longint; xForceIntDel:integer; xnGains:integer; var xckdFile; 
var Ku; 
xTimeDAC:integer; 
xNPoint:integer
):integer;external 'LCARD_AD';
procedure SET_TRIM_DAC_LC201_FILE(Slot_201:integer; Chan:integer; Gain:integer; var NameClbFile
);external 'LCARD_AD';
procedure READ_REG_7710_CRAIT(Slot:integer; A0:integer; var Datad);external 'LCARD_AD';
procedure WRITE_REG_7710_CRAIT(Slot:integer; A0:integer; var Datad);external 'LCARD_AD';
function CHECK_OVERFLOW_7710_CRAIT:integer;external 'LCARD_AD';
procedure ENABLE_7710_CRAIT(Slot:integer; Mode:integer);external 'LCARD_AD';
function FINISH_READ_7710_CRAIT(Slot_301:integer):double;external 'LCARD_AD';
function FINISH_READ_CODE_7710_CRAIT(Slot_301:integer):longint;external 'LCARD_AD';
function IS_7710_PRESENT_CRAIT(Slot_301:integer):integer;external 'LCARD_AD';
function IS_7710_READY_CRAIT(Slot_301:integer):integer;external 'LCARD_AD';
function READ_7710_CRAIT(Slot_301:integer):double;external 'LCARD_AD';
function READ_CODE_7710_CRAIT(Slot_301:integer):longint;external 'LCARD_AD';
procedure RESET_FILTER_7710_CRAIT;external 'LCARD_AD';
procedure SELF_CALIBR_7710_CRAIT(Slot_301:integer; Gain:integer);external 'LCARD_AD';
procedure SET_CHANNEL_7710_CRAIT(Slot_301:integer; ExtChan:integer);external 'LCARD_AD';
function CREATE_CHANNEL_LC201(Channel:integer; Gain:integer; UvxOpened:integer; ConnectDAC:integer
):integer;external 'LCARD_AD';
procedure KADR_LC227(Slot:integer; Scale:integer; Mask:integer; var Dest
);external 'LCARD_AD';
function SET_CALIBRATION_LC227(Slot:integer):integer;external 'LCARD_AD';
procedure SET_CALIBRATION_LC227_ALL;external 'LCARD_AD';
function GET_LC201_CONNECTDAC_MODE:integer;external 'LCARD_AD';
procedure SET_LC201_CONNECTDAC_MODE(aConnectDACMode:integer);external 'LCARD_AD';
procedure INIT_LC201_FROM_FILE(Slot_201:integer; var FileName; CalibrMode:integer; Freq:longint; 
var GainsForChan; 
InterDelayVal:integer; 
aPage1_Fifo:integer; 
aPage2_Fifo:integer
);external 'LCARD_AD';
procedure INIT_LC201_FROM_PPZU(Slot_201:integer; Freq:longint; var GainsForChan; InterDelayVal:integer; 
aPage1_Fifo:integer; 
aPage2_Fifo:integer
);external 'LCARD_AD';
procedure KADR_LC451(Slot:integer; Mode:integer; Scale:integer; Mask:integer; 
var Dest
);external 'LCARD_AD';
procedure INIT_MODULE_LC201(Slot:integer; CalibrMode:integer; Freq:longint; var CurrentModes; 
InterDelayVal:integer; 
aPage1_Fifo:integer; 
aPage2_Fifo:integer
);external 'LCARD_AD';
procedure TRANSMIT_CALIBR_DATA201_TO_PPZU(Slot:integer; var FileName; var GainSet);external 'LCARD_AD';
function IN_BYTE(Port:word):word;external 'LCARD_AD';
function IN_WORD(Port:word):word;external 'LCARD_AD';
function OUT_BYTE(Port:word; Value:word):word;external 'LCARD_AD';
function OUT_WORD(Port:word; Value:word):word;external 'LCARD_AD';
procedure RESET_SYNMODE;external 'LCARD_AD';
procedure SET_SYNMODE_ADC(Slot_301:word; SourceSynSlot:word; LogSynChan:word; SynDir:word; 
SynLevel:word
);external 'LCARD_AD';
procedure SET_SYNMODE_TTL(SMode:word; SynSlot:word; SynChan:word; Dir:word);external 'LCARD_AD';
procedure START_SYNSOFT;external 'LCARD_AD';
procedure SYNSOFT_CC(Slot_301:word; NChannel:word; var Channels; NKadr:word; 
Rate:word; 
var Datad
);external 'LCARD_AD';
function LOADBIOS_MODULE_CC(xSlot:integer; var FileName; ModuleType:integer):integer;external 'LCARD_AD';
function CREATE_CHANNEL_LC101(Channel:integer; Gain:integer; Mode:integer):integer;external 'LCARD_AD';
function CREATE_CHANNEL_LC102(Channel:integer; Gain:integer; Mode:integer):integer;external 'LCARD_AD';
function CREATE_CHANNEL_LC104(Channel:integer; Gain:integer; Mode:integer):integer;external 'LCARD_AD';
function CREATE_CHANNEL_LC111(Channel:integer; Gain:integer; Mode:integer):integer;external 'LCARD_AD';
function CREATE_CHANNEL_LC210(Channel:integer; UvxOpened:integer; BaseChan:integer):integer;external 'LCARD_AD';
procedure DEINSTALLLOGIO;external 'LCARD_AD';
procedure INSTALLLOGIO;external 'LCARD_AD';
function CREATE_CONTROL_WORD_LC302(Slot:integer; Channel:integer; Datad:integer):word;external 'LCARD_AD';
function CREATE_FAST_CHAN_CC(ModuleType:integer; Slot:integer; LogChan:word):word;external 'LCARD_AD';
procedure KADR_OUT_LC302_FAST_CC(Slot302:integer; NChan:integer; var CtrlWrdBuff);external 'LCARD_AD';
procedure OUT_LC302_FAST_CC(Slot302:integer; Datad:word);external 'LCARD_AD';
procedure READ_FAST_KADR_CC(Nch:integer; var Datad);external 'LCARD_AD';
function READ_FAST_SAMPLE_CC(CtrlWrdFast:word):integer;external 'LCARD_AD';
function LOADCRAIT(CraitType:integer; Adr:integer):integer;external 'LCARD_AD';
function AUTO_PREPARE_MODULE(ModuleCode:integer):word;external 'LCARD_AD';
function _GET_DATA:word;external 'LCARD_AD';
procedure _PUT_DATA(Data:word);external 'LCARD_AD';
procedure _SEND_COMMAND(Command:word);external 'LCARD_AD';
function FAST_LOADING_LC010(var BiosCode):integer;external 'LCARD_AD';
function FAST_LOADING_LCI01(var BiosCode):integer;external 'LCARD_AD';
procedure COMMAND_L1221(CommandD:word);external 'LCARD_AD';
procedure GET_DATA_MEMORY_L1221(var DataPointer; Count:word; Address:word);external 'LCARD_AD';
function GET_DM_WORD_L1221(Address:word):word;external 'LCARD_AD';
function LOAD_ADSP2186(var BiosCode):word;external 'LCARD_AD';
procedure PUT_DATA_MEMORY_L1221(var DataPointer; Count:word; Address:word);external 'LCARD_AD';
procedure PUT_DM_WORD_L1221(Address:word; DataD:word);external 'LCARD_AD';
procedure INIT_INTR(Vector:pointer);external 'LCARD_AD';
procedure DELAY(Count:word);external 'LCARD_AD';
procedure SET_DELAY(Value:word);external 'LCARD_AD';
function LOAD_DSP_DM(var FileName):integer;external 'LCARD_AD';
function LOAD_DSP_EXT_PM(var FileName):integer;external 'LCARD_AD';
procedure LOAD_DSP_INT_PM(var BiosCode);external 'LCARD_AD';
function LOAD_INT_PM(var FileName):pointer;external 'LCARD_AD';
procedure RESET_AD_L1221;external 'LCARD_AD';
procedure CONFIG_FIFO_L750(FifoSize:word);external 'LCARD_AD';
procedure CONFIG_INPUT_L750(InputMode:wordbool);external 'LCARD_AD';
procedure DISABLE_PLATA_INT_L750;external 'LCARD_AD';
procedure DIS_EEPROM_WRITE_L750;external 'LCARD_AD';
procedure ENABLE_PLATA_INT_L750;external 'LCARD_AD';
procedure ENA_EEPROM_WRITE_L750;external 'LCARD_AD';
function GET_DM_WORD_L750(Address:word):word;external 'LCARD_AD';
function LOAD_BIOS_L750(var BiosCode):wordbool;external 'LCARD_AD';
procedure OUTDA_L750(DAC_Val:word);external 'LCARD_AD';
function PLATA_TEST_L750:wordbool;external 'LCARD_AD';
procedure PUT_DM_WORD_L750(Address:word; DataD:word);external 'LCARD_AD';
procedure PUT_TRM_BYTE_L750(Address:word; Datad:word);external 'LCARD_AD';
function READ_EEPROM_L750(Address:word):word;external 'LCARD_AD';
procedure RESET_DSP_L750;external 'LCARD_AD';
function SAMPLE_L750:integer;external 'LCARD_AD';
procedure SELECT_INPUT_MODE_L750(Mode:word);external 'LCARD_AD';
procedure SETCHANNEL_L750(Chan:word);external 'LCARD_AD';
procedure SET_DA_NUMBER_L750(DAC_Num:word);external 'LCARD_AD';
procedure SET_REFERENCE_L750(RefVolt:wordbool);external 'LCARD_AD';
procedure SET_TIMER_SCALE_L750(Scale:word);external 'LCARD_AD';
procedure SOFT_L750(var DataD; NKadr:longint; var Channels; Nch:word; Rate:word
);external 'LCARD_AD';
procedure STREAM_L750(var DataD; Npoint:longint; Channel:word; Rate:word
);external 'LCARD_AD';
procedure SYNCHRO_MODE_L750(SynchroMode:wordbool);external 'LCARD_AD';
procedure TTL_CONFIG_L750(TTL_Mode:word);external 'LCARD_AD';
function TTL_INPUT_L750:word;external 'LCARD_AD';
procedure TTL_OUTPUT_L750(DataD:word);external 'LCARD_AD';
procedure WRITE_DA_L750(DAC_Num:word; DAC_Val:word);external 'LCARD_AD';
procedure WRITE_EEPROM_L750(Address:word; DataD:word);external 'LCARD_AD';
function IN_DWORD(Port:word):longint;external 'LCARD_AD';
function OUT_DWORD(Port:word; Value:longint):longint;external 'LCARD_AD';
procedure REP_IN_BYTE(Port:word; Count:longint; var DataD);external 'LCARD_AD';
procedure REP_IN_DWORD(Port:word; Count:longint; var DataD);external 'LCARD_AD';
procedure REP_IN_WORD(Port:word; Count:longint; var DataD);external 'LCARD_AD';
procedure REP_OUT_BYTE(Port:word; Count:longint; var DataD);external 'LCARD_AD';
procedure REP_OUT_DWORD(Port:word; Count:longint; var DataD);external 'LCARD_AD';
procedure REP_OUT_WORD(Port:word; Count:longint; var DataD);external 'LCARD_AD';
procedure DSP_COMMAND_L750(Command:word);external 'LCARD_AD';
procedure GET_DATA_MEMORY_L750(Address:word; Npoint:word; var DataD);external 'LCARD_AD';
function GET_PM_WORD_L750(Address:word):word;external 'LCARD_AD';
procedure GET_PROGRAM_MEMORY_L750(Address:word; Npoint:word; var DataD);external 'LCARD_AD';
function GET_TRM_BYTE_L750(Address:word):word;external 'LCARD_AD';
function GET_TRM_WORD_L750(Address:word):word;external 'LCARD_AD';
procedure PUT_DATA_MEMORY_L750(Address:word; Npoint:word; var DataD);external 'LCARD_AD';
procedure PUT_PM_WORD_L750(Address:word; DataD:word);external 'LCARD_AD';
procedure PUT_PROGRAM_MEMORY_L750(Address:word; Npoint:word; var DataD);external 'LCARD_AD';
procedure PUT_TRM_DWORD_L750(Datad:longint);external 'LCARD_AD';
procedure PUT_TRM_WORD_L750(Address:word; Datad:word);external 'LCARD_AD';
procedure SETRATE_L750(Rate:word);external 'LCARD_AD';
function SET_ADC_FREQ_L750(Freq:word):word;external 'LCARD_AD';
procedure SET_DATA_ADDRESS_L750(Address:word);external 'LCARD_AD';
function ADCHAN_L750(Chan:word):integer;external 'LCARD_AD';
procedure SPELT_AMPLIFIER_OLD_TIGER(Number:word; Coded:word);external 'LCARD_AD';
procedure SPELT_FILTER_OLD_TIGER(FilterNumber:word; CutFrequency:word);external 'LCARD_AD';
function CALIBR_LC212(xSlot:word; xType:word; IsUseFlash:word):word;external 'LCARD_AD';
procedure CREATE_CHANNEL_LC212(Slot:word; Chan:word; Diapazon:word);external 'LCARD_AD';
function GET_LC212_DATA(xSlot:word; NPoints:word; var xData):word;external 'LCARD_AD';
procedure IDMA_FORCE_IRQ2(xSlot:word);external 'LCARD_AD';
procedure IDMA_FORCE_RESET(Slot:word);external 'LCARD_AD';
procedure IDMA_GET_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);external 'LCARD_AD';
function IDMA_GET_DM_WORD(Slot:word; Addr:word):word;external 'LCARD_AD';
procedure IDMA_PUT_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);external 'LCARD_AD';
procedure IDMA_PUT_DM_WORD(Slot:word; Addr:word; xData:word);external 'LCARD_AD';
procedure LC212_COLD_REBOOT(xSlot:word);external 'LCARD_AD';
function LOAD_LC212(Slot:word; var FileName):word;external 'LCARD_AD';
procedure RESET_LC212_AD7730(xSlot:word);external 'LCARD_AD';
procedure RESTORE_LC212(xSlot:word);external 'LCARD_AD';
procedure SET_FIFO_SIZE_LC212(xSlot:word; xLen:word);external 'LCARD_AD';
procedure SET_MODE_LC212(Slot:word; Mode:word; HiRef:word; FreqCode:word; AC:word
);external 'LCARD_AD';
procedure START_LC212(Slot:word; Mask:word; IsUseFlash:word);external 'LCARD_AD';
procedure STOP_LC212(Slot:word);external 'LCARD_AD';
procedure WRITEPM_V(Address:word; Value:word);external 'LCARD_AD';
procedure STOP_LC212_FOR_CALIBR(xSlot:word; StopCalibrType:word);external 'LCARD_AD';
procedure CONFIGURE_FAST_KADR_CC(Nch:integer; var Buffer; ModuleType:word);external 'LCARD_AD';
procedure OUTDA_LC352(slot:word; Coded:word; Atten:word; SwType:word);external 'LCARD_AD';
procedure OUTDA_LC352_VOLT(slot:word; Volts:double; Atten:word; SwType:word);external 'LCARD_AD';
function PROGRAM_LC352(Slot:word; Ampl:double; ModeConnect:word; var Freq; 
Sigtype:word; 
var Atten; 
a:word; 
b:word
):word;external 'LCARD_AD';
procedure READ_FAST_KADR111_CC(NCH111:word; var Buffer);external 'LCARD_AD';
procedure SETU_LC352(U:double);external 'LCARD_AD';
procedure GET_FILTERS_INFO_LC212(xSlot:word; var xIirOn; var xFirOn; var xDec; var xloadIir; 
var xloadFir; 
var xtaps
);external 'LCARD_AD';
function LOAD_FILTER_LC212(xSlot:word; FilterType:word; var FilterFileName):word;external 'LCARD_AD';
procedure MANAGE_FILTERS_LC212(xSlot:word; xIirOn:word; xFirOn:word);external 'LCARD_AD';
procedure RESET_DIGITAL_FILTERS_LC212(xSlot:word);external 'LCARD_AD';
procedure RESET_POINTER_LC212(xSlot:word);external 'LCARD_AD';
function GET_LC114_DATA_FOR_CHANNEL(Slot:word; FifoLength:word; Lc114Nch:word; N:word; 
var BufferLc114; 
Lc114Channel:word; 
CodacBit:word
):word;external 'LCARD_AD';
function GET_LC114_DS1820_TEMP(Slot:word):double;external 'LCARD_AD';
function GET_LC114_MODULE_TEMP(Slot:word):double;external 'LCARD_AD';
function LOAD_BIOS_LC114(Slot:word; var NameBIOS):word;external 'LCARD_AD';
function READY_LC114_SAMPLES(Slot:word; SlotLC114_1:word; SlotLC114_2:word):word;external 'LCARD_AD';
procedure SEND_COMMAND_LC114(Slot:word; Command:word; Wait:word);external 'LCARD_AD';
function SET_LC114_CALIBR(Slot:word; WaitNewSamples:word):word;external 'LCARD_AD';
procedure SET_LC114_CONTROL_WORDS(Slot:word; Lc114AutoCalibrType:word; Lc114CommutatorType:word; var pLc114Range; 
WaitNewSamples:word
);external 'LCARD_AD';
procedure SET_LC114_DECIMATION(Slot:word; Decimate:word; WaitNewSamples:word);external 'LCARD_AD';
procedure SET_LC114_FIFO(Slot:word; MaskForChannels:word; FifoLength:word; WaitNewSaples:word
);external 'LCARD_AD';
function SET_LC114_FILTER(Slot:word; var FileName; var NormalizatorName; WaitNewSaples:word
):word;external 'LCARD_AD';
procedure SET_LC114_PROGRAM_VERSION(Slot:word; Version:word; WaitNewSamples:word);external 'LCARD_AD';
procedure SHOW_SELF_SLAVE_FOR_LC114_UNIT2(Slot:word; SlotLC114_1:word; SlotLC114_2:word);external 'LCARD_AD';
procedure START_MASTER_LC114(Slot:word; SlotLC114_1:word; SlotLC114_2:word; WaitNewSamples:word
);external 'LCARD_AD';
function CHECK_OVERFLOW_LC202(Slot:word; Channel:word):word;external 'LCARD_AD';
function FIFO_CONFIG_LC202(Slot:word; AddressIndex:word; Length:word):word;external 'LCARD_AD';
function FLASH_READ_LC202(Slot:word; FAddress:word; var FByte):word;external 'LCARD_AD';
function FLASH_WRITE_LC202(Slot:word; FAddress:word; FByte:word):word;external 'LCARD_AD';
function GET_DATA_LC202(Slot:word; N_Points:word; var Buffer):word;external 'LCARD_AD';
function GET_FI_LC202(Slot:word; var FI):word;external 'LCARD_AD';
function LOAD_BIOS_LC202(Slot:word; var NameBIOS):word;external 'LCARD_AD';
function LOAD_COEF_LC202(Slot:word):word;external 'LCARD_AD';
function SEND_COMMAND_LC202(Slot:word; Command:word):word;external 'LCARD_AD';
function SET_ATTENUATION_LC202(Slot:word; Attenuation:word):word;external 'LCARD_AD';
function SET_DSP_TYPE_LC202(Slot:word; DSP_Type:word):word;external 'LCARD_AD';
function SET_FO_LC202(Slot:word; FO:word):word;external 'LCARD_AD';
function SET_GAIN_LC202(Slot:word; Gain:word; Channel:word):word;external 'LCARD_AD';
function SET_INPUT_MODE_LC202(Slot:word; InputMode:word):word;external 'LCARD_AD';
function SET_POSTOYANKA_LC202(Slot:word; ConstLevel:word):word;external 'LCARD_AD';
function SET_RATE_LC202(Slot:word; Rate:word; FreqDiv_256or384:word):word;external 'LCARD_AD';
function SYNCHRO_CONFIG_LC202(Slot:word; SynType:word; SynSens:word; SynBuf:word; SynMode:word; 
AdCh:word; 
AdP:word
):word;external 'LCARD_AD';
function TEST_CIRCUIT_LC212(xSlot:word; var States):word;external 'LCARD_AD';
procedure XIDMA_GET_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);external 'LCARD_AD';
function XIDMA_GET_DM_WORD(Slot:word; Addr:word):word;external 'LCARD_AD';
procedure XIDMA_PUT_DM_ARRAY(Slot:word; Addr:word; NPoint:word; var xBuffer);external 'LCARD_AD';
procedure XIDMA_PUT_DM_WORD(Slot:word; Addr:word; xData:word);external 'LCARD_AD';
procedure IDMA301_CONFIG_CC(Slot_301:word; NChannel:word; var Channels; Rate:word; 
xFifoSize:word; 
var NModulesIdma; 
var TableEnaAddr; 
var TableMainIDMA
);external 'LCARD_AD';
procedure IDMA301_IRQ_INPUT_CC(var xPointers; var xFlags);external 'LCARD_AD';
procedure IDMA301_IRQ_START_CC(Vector:pointer);external 'LCARD_AD';
procedure IDMA301_IRQ_STOP_CC;external 'LCARD_AD';
procedure IDMA301_PREPARE_LC212(xSlot:word; var TableEnaAdr; var TableMain);external 'LCARD_AD';
procedure SET_ENA_FLAG_LC212(xSlot:word; EnaFlag:word);external 'LCARD_AD';
procedure IDMA301_INPUT_CC(var Datad; var IDs);external 'LCARD_AD';
procedure IDMA301_START_CC;external 'LCARD_AD';
procedure IDMA301_STOP_CC;external 'LCARD_AD';
function GET_LPT_DELAY_CC:word;external 'LCARD_AD';
procedure SET_LPT_DELAY_CC(DelayVal:word);external 'LCARD_AD';
procedure IDMA301_PREPARE_LC202(xSlot:word; var TableEnaAdr; var TableMain);external 'LCARD_AD';
procedure CONFIG_LC302_ON_FLY(xNwrd:word; var xData);external 'LCARD_AD';
function LOAD_BIOS_LCIDE(var FileName):integer;external 'LCARD_AD';
procedure SET_BASE_ADDRESS_IDE(BaseAddrData:integer; BaseAddrCtrl:integer);external 'LCARD_AD';
procedure SET_DELAY_IDE(DelayValue:integer);external 'LCARD_AD';
procedure MAIN_INP111_OUT302(var Datad; NWords:word; var Data302; N302:word);external 'LCARD_AD';
procedure START_INP111_OUT302(Vector:pointer);external 'LCARD_AD';
procedure STOP_INP111_OUT302;external 'LCARD_AD';
function GET_BASE_ADDRESS:integer;external 'LCARD_AD';
procedure HANDL_SET_LC116_CURRENT(Slot:integer; Scale:integer; Channel:integer; CalibrData:integer
);external 'LCARD_AD';
function READ_LC116_CALIBR(Slot:integer; var Data):integer;external 'LCARD_AD';
function SET_LC116_CURRENT(Slot:integer; Scale:integer; Channel:integer):integer;external 'LCARD_AD';
procedure WRITE_LC116_CALIBR(Slot:integer; var Data);external 'LCARD_AD';
function GET_LC114_DATA_FOR_CHANNELS(Slot:word; FifoLength:word; Lc114Nch:word; N:word; 
var BufferLc114; 
CodacBit:word
):word;external 'LCARD_AD';
function LC114_CHECK_FIFO(Slot:integer):integer;external 'LCARD_AD';
function LC114_GET_ADC_TYPE(Slot:integer):integer;external 'LCARD_AD';
function LC114_GET_CDATA1(Slot:integer; NC:integer):integer;external 'LCARD_AD';
procedure LC114_GET_CDATA16(Slot:integer; var CData);external 'LCARD_AD';
function LC114_GET_DS1820(Slot:integer):double;external 'LCARD_AD';
procedure LC114_GET_FIFO(Slot:integer; var FIFO_Buf; half:integer);external 'LCARD_AD';
function LC114_GET_FIFO_POINTER(Slot:integer):integer;external 'LCARD_AD';
function LC114_LOAD_BIOS(Slot:word; var Bios_Name):integer;external 'LCARD_AD';
procedure LC114_LOAD_CALIBRATION_COEF(Slot:integer);external 'LCARD_AD';
function LC114_LOAD_FILTR(Slot:integer; var Filtr_Name):integer;external 'LCARD_AD';
function LC114_PUT_DQI_HIGH(Slot:integer):integer;external 'LCARD_AD';
function LC114_PUT_DQI_LOW(Slot:integer):integer;external 'LCARD_AD';
procedure LC114_SET_BOARD_MODE(Slot:integer; Mode:integer);external 'LCARD_AD';
procedure LC114_SET_CALIBRATION_COEF(Slot:integer; var CalibrCoef);external 'LCARD_AD';
procedure LC114_SET_CBAND1(Slot:integer; Nc:char; CBand:char);external 'LCARD_AD';
procedure LC114_SET_CBAND16(Slot:integer; var CBands);external 'LCARD_AD';
procedure LC114_SET_CMASK(Slot:integer; CMask:word);external 'LCARD_AD';
procedure LC114_SET_DECIMATION(Slot:integer; Dec_K:integer);external 'LCARD_AD';
procedure LC114_SET_FIFO(Slot:integer; FIFO_Size:integer);external 'LCARD_AD';
procedure LC114_SET_FILTR(Slot:integer; FiltrFlag:char);external 'LCARD_AD';
procedure LC114_SET_ZCALIBRATION(Slot:integer; CalibrFlag:char);external 'LCARD_AD';
function LC114_START(Slot:integer):integer;external 'LCARD_AD';
function LC114_STOP(Slot:integer):integer;external 'LCARD_AD';
function LC114_WRITE_FLASH(Slot:integer; var CalibrCoef):integer;external 'LCARD_AD';
function LC114_CHECK_TC(Slot:integer):word;external 'LCARD_AD';
function GET_SERR:longint;external 'LCARD_AD';
procedure RST_SERR(Val:longint);external 'LCARD_AD';
function GET_FATAL_ERROR:word;external 'LCARD_AD';
procedure SET_FATAL_ERROR;external 'LCARD_AD';
procedure OUTDA_AD8XXX(Slot:word; SerialPort:word; Channel:word; Datad:word
);external 'LCARD_AD';
procedure SET_SCALE_AD8XXX(Slot:word; xScale:word);external 'LCARD_AD';
function LC114_GET_BOARD_MODE(Slot:integer):integer;external 'LCARD_AD';
function LC114_GET_SYNC_STAT(Slot:integer):integer;external 'LCARD_AD';
procedure FORCE_LOAD_PAGE(LenData:word; ShiftValue:word; RegTmp:word);external 'LCARD_AD';
procedure LOAD_DATA_LC352_BY8192(Slot:word; DatSz:word; ShiftVal:word; var Datax);external 'LCARD_AD';
function USER_PROGRAM_LC352(Slot:word; Len:integer; var XData; FreqDiv:word; Atten:word
):word;external 'LCARD_AD';
function USER_CHECK_TO:word;external 'LCARD_AD';
function LC237_GET_CC(Slot:integer; var Sc; var Zc; var Types):integer;external 'LCARD_AD';
function LC237_LOAD_BIOS(Slot:integer; var file_name):integer;external 'LCARD_AD';

End.
